#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)

if [[ -z "${SCRIPT_DIR}" ]]; then
    echo "Script dir not present"
    exit 1
fi

#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/utils.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_KubePersistentVolumeFillingUp_alert.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_CertificateExpiration_alert.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_ceph_alerts.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_cron_alerts.sh"
#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/test_mongo_alerts.sh"

export KUBECONFIG=/etc/rancher/rke2/rke2.yaml PATH=$PATH:/var/lib/rancher/rke2/bin

function main() {
  test_KubePersistentVolumeFillingUpCritical
  test_CertificateExpiration
  test_ceph_alerts
  test_AlertFiredOnCronJobSuspension
  test_mongo_highLatency_alert
  test_mongo_cert_alert
}

parse_args "$@"
main
