#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)

if [[ -z "${SCRIPT_DIR}" ]]; then
    echo "Script dir not present"
    exit 1
fi

#shellcheck disable=SC1090,SC1091
source "${SCRIPT_DIR}/utils.sh"

export KUBECONFIG=/etc/rancher/rke2/rke2.yaml PATH=$PATH:/var/lib/rancher/rke2/bin

function setMonitoringValidationParam() {
    local validationStage
    validationStage=$1
    
    case "$validationStage" in
    3nodeup|rebootAllServers|1nodeup|0nodeup)
        SKIP_NODE_DOWN_TEST="true"
        ;;
    2nodeup)
        SKIP_NODE_DOWN_TEST="false"
        ;;
    *)
        echo "Unexpected option ${validationStage} passed to ${FUNCNAME[0]}"
        exit 1
        ;;
    esac
}

function executeRabbitmqDownTest() {
  setMonitoringValidationParam "${VALIDATE_STAGE}"
  
  if [[ "${SKIP_NODE_DOWN_TEST}" == "false" ]]; then
    [[ "$(is_alert_fired "RabbitmqNodeDown" "" "")" == "true" ]] && appendOutput "1833432" "true" || appendOutput "1833432" "false"
  fi
}